import request from '@/utils/request'
import Vue from 'vue'


// 查询参数列表
export function infolist (data) {
    return request({
        url: Vue.prototype.$api.report.infolist,
        method: 'post',
        data
    })
}

// 查询参数列表
export function report (data) {
    return request({
        url: Vue.prototype.$api.report.report,
        method: 'post',
        data
    })
}

// 查询参数列表
export function payOrderList (data) {
    return request({
        url: Vue.prototype.$api.report.list,
        method: 'post',
        data
    })
}

// 查询参数列表
export function allTradeDetails (data) {
    return request({
        url: Vue.prototype.$api.report.allTradeDetails,
        method: 'post',
        data
    })
}

// 查询参数列表
export function merchantlist (data) {
    return request({
        url: Vue.prototype.$api.report.merchantlist,
        method: 'post',
        data
    })
}

// 查询参数列表
export function handup (data) {
    return request({
        url: Vue.prototype.$api.report.handup,
        method: 'post',
        data
    })
}

// 查询参数列表
export function exports (params) {
    return request({
        url: Vue.prototype.$api.report.allTradeDetails,
        method: 'get',
        params,
        responseType: "blob"
    })
}

// 查询参数列表
export function yibao (data) {
    return request({
        url: Vue.prototype.$api.report.yibao,
        method: 'post',
        data
    })
}

// 查询参数列表
export function yibaolist (data) {
    return request({
        url: Vue.prototype.$api.report.yibaolist,
        method: 'post',
        data
    })
}

// 查询参数列表
export function dayreport (data) {
    return request({
        url: Vue.prototype.$api.report.dayreport,
        method: 'post',
        data
    })
}
// 查询参数列表
export function monthreport (data) {
    return request({
        url: Vue.prototype.$api.report.monthreport,
        method: 'post',
        data
    })
}

// 查询参数列表
export function operateReport (data) {
    return request({
        url: Vue.prototype.$api.report.operateReport,
        method: 'post',
        data
    })
}
// 查询参数列表
export function chequeNameReport (data) {
    return request({
        url: Vue.prototype.$api.report.chequeNameReport,
        method: 'post',
        data
    })
}

